## GESTitleSource GESTitleSource — render stand-alone text titles |

## Functions

void | ges_title_source_set_text ()
void | ges_title_source_set_font_desc ()
void | ges_title_source_set_halignment ()
void | ges_title_source_set_valignment ()
void | ges_title_source_set_text_color ()
void | ges_title_source_set_background_color ()
void | ges_title_source_set_xpos ()
void | ges_title_source_set_ypos ()
const gchar * | ges_title_source_get_text ()
const gchar * | ges_title_source_get_font_desc ()
GESTextHAlign | ges_title_source_get_halignment ()
GESTextVAlign | ges_title_source_get_valignment ()
const guint32 | ges_title_source_get_text_color ()
const guint32 | ges_title_source_get_background_color ()
const gdouble | ges_title_source_get_xpos ()
const gdouble | ges_title_source_get_ypos ()

## Types and Values

| GESTitleSource

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESSource
                        ╰── GESVideoSource
                            ╰── GESTitleSource

## Implemented Interfaces

GESTitleSource implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

GESTitleSource is a GESTimelineElement that implements the notion of titles in GES.

#### Children Properties

You can use the following children properties through the ges_track_element_set_child_property and alike set of methods:

guint | background | The color of the background
guint | color | The color of the text
gchar | font-desc | Pango font description string
GESTextHAlign | halignment | Horizontal alignment of the text
gchar | text | The text to be rendered
GESTextVAlign | valignment | Vertical alignent of the text
gdouble | xpos | The horizontal position of the text
gdouble | ypos | The vertical position of the text
gboolean | shaded-background | Whether to shade the background under the text area
guint | outline-color | Color to use for outline the text (big-endian ARGB).

## Functions

### ges_title_source_set_text ()

    void
    ges_title_source_set_text (GESTitleSource *self,
                               const gchar *text);

`ges_title_source_set_text` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the GESTrackElement instead

Sets the text this track element will render.

#### Parameters

self | the GESTitleSource* to set text on |
text | the text to render. an internal copy of this text will be made. |

### ges_title_source_set_font_desc ()

    void
    ges_title_source_set_font_desc (GESTitleSource *self,
                                    const gchar *font_desc);

Set the pango font description this source will use to render the text.

#### Parameters

self | the GESTitleSource |
font_desc | the pango font description |

### ges_title_source_set_halignment ()

    void
    ges_title_source_set_halignment (GESTitleSource *self,
                                     GESTextHAlign halign);

Sets the vertical aligment of the text.

#### Parameters

self | the GESTitleSource* to set text on |
halign | GESTextHAlign |

### ges_title_source_set_valignment ()

    void
    ges_title_source_set_valignment (GESTitleSource *self,
                                     GESTextVAlign valign);

Sets the vertical aligment of the text.

#### Parameters

self | the GESTitleSource* to set text on |
valign | GESTextVAlign |

### ges_title_source_set_text_color ()

    void
    ges_title_source_set_text_color (GESTitleSource *self,
                                     guint32 color);

Sets the color of the text.

#### Parameters

self | the GESTitleSource* to set |
color | the color `self` is being set to |

### ges_title_source_set_background_color ()

    void
    ges_title_source_set_background_color (GESTitleSource *self,
                                           guint32 color);

Sets the color of the background

#### Parameters

self | the GESTitleSource* to set |
color | the color `self` is being set to |

### ges_title_source_set_xpos ()

    void
    ges_title_source_set_xpos (GESTitleSource *self,
                               gdouble position);

Sets the horizontal position of the text.

#### Parameters

self | the GESTitleSource* to set |
position | the horizontal position `self` is being set to |

### ges_title_source_set_ypos ()

    void
    ges_title_source_set_ypos (GESTitleSource *self,
                               gdouble position);

Sets the vertical position of the text.

#### Parameters

self | the GESTitleSource* to set |
position | the color `self` is being set to |

### ges_title_source_get_text ()

    const gchar *
    ges_title_source_get_text (GESTitleSource *source);

Get the text currently set on the `source` .

#### Parameters

source | a GESTitleSource |

#### Returns

The text currently set on the `source` .

[transfer none]

### ges_title_source_get_font_desc ()

    const gchar *
    ges_title_source_get_font_desc (GESTitleSource *source);

Get the pango font description used by `source` .

#### Parameters

source | a GESTitleSource |

#### Returns

The pango font description used by this `source` .

[transfer none]

### ges_title_source_get_halignment ()

    GESTextHAlign
    ges_title_source_get_halignment (GESTitleSource *source);

Get the horizontal aligment used by `source` .

#### Parameters

source | a GESTitleSource |

#### Returns

The horizontal aligment used by `source` .

### ges_title_source_get_valignment ()

    GESTextVAlign
    ges_title_source_get_valignment (GESTitleSource *source);

Get the vertical aligment used by `source` .

#### Parameters

source | a GESTitleSource |

#### Returns

The vertical aligment used by `source` .

### ges_title_source_get_text_color ()

    const guint32
    ges_title_source_get_text_color (GESTitleSource *source);

Get the color used by `source` .

#### Parameters

source | a GESTitleSource |

#### Returns

The color used by `source` .

### ges_title_source_get_background_color ()

    const guint32
    ges_title_source_get_background_color (GESTitleSource *source);

Get the background used by `source` .

#### Parameters

source | a GESTitleSource |

#### Returns

The background used by `source` .

### ges_title_source_get_xpos ()

    const gdouble
    ges_title_source_get_xpos (GESTitleSource *source);

Get the horizontal position used by `source` .

#### Parameters

source | a GESTitleSource |

#### Returns

The horizontal position used by `source` .

### ges_title_source_get_ypos ()

    const gdouble
    ges_title_source_get_ypos (GESTitleSource *source);

Get the vertical position used by `source` .

#### Parameters

source | a GESTitleSource |

#### Returns

The vertical position used by `source` .

## Types and Values

### GESTitleSource

    typedef struct _GESTitleSource GESTitleSource;